aboutsummaryrefslogtreecommitdiff
path: root/vendor/librune/gen/mkfile
diff options
context:
space:
mode:
authorThomas Voss <mail@thomasvoss.com> 2024-02-13 13:02:28 +0100
committerThomas Voss <mail@thomasvoss.com> 2024-02-13 13:11:47 +0100
commit79e6af86ca526d5fb56af6f6ca3da713e3a5e9f9 (patch)
tree752f1c26d1f122dcf58374ac78db109c9578be45 /vendor/librune/gen/mkfile
Genesis commit
Diffstat (limited to 'vendor/librune/gen/mkfile')
-rwxr-xr-xvendor/librune/gen/mkfile37
1 files changed, 37 insertions, 0 deletions
diff --git a/vendor/librune/gen/mkfile b/vendor/librune/gen/mkfile
new file mode 100755
index 0000000..a55b08a
--- /dev/null
+++ b/vendor/librune/gen/mkfile
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+set -e
+cd "${0%/*}/.."
+exec >Makefile
+
+cat <<make
+.POSIX:
+
+CC = cc
+CFLAGS = -Wall -Wextra -Wpedantic -g -ggdb3 -fanalyzer -Iinclude
+
+make
+
+printf 'objs = \\\n'
+find lib -name '*.c' | sort | sed '
+ s/c$/o/
+ s/.*/\t& \\/
+ $s/ \\$//
+'
+
+cat <<make
+
+all: \$(objs)
+
+make
+
+find lib -name '*.c' | sort | sed -E 's/(.*)c$/\1o: \1c/'
+
+cat <<make
+
+clean:
+ find lib -name '*.o' -delete
+
+ls:
+ @echo "alias ls='ls --color=auto -I \"*.o\" -I \"compile_commands.json\"'" >&2
+make